org.python.modules.posix

## Class PythonPOSIXHandler

- java.lang.Object
- - org.python.modules.posix.PythonPOSIXHandler

All Implemented Interfaces:
  org.jruby.ext.posix.POSIXHandler

    public class PythonPOSIXHandler
    extends java.lang.Object
    implements org.jruby.ext.posix.POSIXHandler

Jython specific hooks for our underlying POSIX library.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jruby.ext.posix.POSIXHandler

`org.jruby.ext.posix.POSIXHandler.WARNING_ID`

### Constructor Summary

Constructors
Constructor and Description
`PythonPOSIXHandler()`

### Method Summary

Methods
`void` `error(com.kenai.constantine.platform.Errno error, java.lang.String extraData)`
`java.io.File` `getCurrentWorkingDirectory()`
`java.lang.String[]` `getEnv()`
`java.io.PrintStream` `getErrorStream()`
`java.io.InputStream` `getInputStream()`
`java.io.PrintStream` `getOutputStream()`
`int` `getPID()`
`boolean` `isVerbose()`
`void` `unimplementedError(java.lang.String methodName)`
`void` `warn(org.jruby.ext.posix.POSIXHandler.WARNING_ID id, java.lang.String message, java.lang.Object... data)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PythonPOSIXHandler

    public PythonPOSIXHandler()

### Method Detail

#### error

    public void error(com.kenai.constantine.platform.Errno error,
             java.lang.String extraData)

Specified by:
  `error` in interface `org.jruby.ext.posix.POSIXHandler`

#### unimplementedError

    public void unimplementedError(java.lang.String methodName)

Specified by:
  `unimplementedError` in interface `org.jruby.ext.posix.POSIXHandler`

#### warn

    public void warn(org.jruby.ext.posix.POSIXHandler.WARNING_ID id,
            java.lang.String message,
            java.lang.Object... data)

Specified by:
  `warn` in interface `org.jruby.ext.posix.POSIXHandler`

#### isVerbose

    public boolean isVerbose()

Specified by:
  `isVerbose` in interface `org.jruby.ext.posix.POSIXHandler`

#### getCurrentWorkingDirectory

    public java.io.File getCurrentWorkingDirectory()

Specified by:
  `getCurrentWorkingDirectory` in interface `org.jruby.ext.posix.POSIXHandler`

#### getEnv

    public java.lang.String[] getEnv()

Specified by:
  `getEnv` in interface `org.jruby.ext.posix.POSIXHandler`

#### getInputStream

    public java.io.InputStream getInputStream()

Specified by:
  `getInputStream` in interface `org.jruby.ext.posix.POSIXHandler`

#### getOutputStream

    public java.io.PrintStream getOutputStream()

Specified by:
  `getOutputStream` in interface `org.jruby.ext.posix.POSIXHandler`

#### getPID

    public int getPID()

Specified by:
  `getPID` in interface `org.jruby.ext.posix.POSIXHandler`

#### getErrorStream

    public java.io.PrintStream getErrorStream()

Specified by:
  `getErrorStream` in interface `org.jruby.ext.posix.POSIXHandler`